﻿@using dbChange.Models.LIB;
@using dbChange.Models.VanPhongSo;
@{
    ViewData["Title"] = "BoChungTu_ChiTiet";
    Layout = "~/Views/Shared/_Layout_VanPhongSo.cshtml";
    var DonVi = ViewData["DonVi"] as List<DM_BoPhanChiTiet>;
    var Quyen = ViewData["Quyen"] as List<VanBan_Quyen>;
    var lsLoaiVanban = ViewData["LoaiVanBan"] as List<LoaiVanBan>;
}
<div class="iq-card">
    <div class="iq-card-body">
        <div class="row" id="box_title_table">
            <div class="col-md-12 mb-3">
                <h5 id="title_table" class="text-primary card-title">
                    <i class="ri-file-list-3-line"></i> Danh sách bộ chứng từ
                </h5>
                <a class="btn btn-sm btn-success text-white" data-toggle="modal" data-target="#modal_Them_BoChungTu"><i class="ri-file-add-fill"></i>Tạo bộ chứng từ</a>
            </div>
        </div>

        <div id="gridContainer">Đang tải dữ liệu....</div>
    </div>
</div>

<div class="modal fade" id="modal_ChiaSe" tabindex="-1" role="dialog" aria-labelledby="exampleModalScrollableTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable modal-md" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalScrollableTitle">Chia sẻ chứng từ</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" id="modal-body" style="text-align:center">

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary btnCopyLink">Copy link</button>
                <button type="button" class="btn btn-danger btnInBarcode">In Barcode</button>
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Đóng</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modal_Them_BoChungTu"  role="dialog" aria-labelledby="example_modal_Them_BoChungTu" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="example_modal_Them_BoChungTu"> <i class="fa fa-plus"></i> Tạo bộ chứng từ</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">

                <div class="w-100">
                    <form action="#" method="post" enctype="multipart/form-data" class="form_Tao_BoChungTu" novalidate>
                        <div class="form-row">
                            <div class="col-md-12 mb-3">
                                <label for="validationDefault01">Đơn vị</label>
                                <select class="form-control IdDonVi" name="IdDonVi" id="IdDonVi" required>
                                    @{
                                        foreach (DM_BoPhanChiTiet row in DonVi)
                                        {
                                            <option value="@row.Id">@row.TenDonVi</option>
                                        }
                                    }
                                </select>
                            </div>
                            <div class="col-md-12 mb-3">
                                <label for="validationDefault01">Loại văn bản</label>
                                <select class="form-control IdLoaiVanBan" name="IdLoaiVanBan" id="IdLoaiVanBan" required>
                                    @{
                                        foreach (LoaiVanBan row in lsLoaiVanban)
                                        {
                                            <option value="@row.Id">@row.TenLoaiVanBan</option>
                                        }
                                    }
                                </select>
                            </div>
                            <div class="col-md-12 mb-3">
                                <label for="validationDefault01">Tiêu đề</label>
                                <input type="text" class="form-control TieuDe" name="TieuDe" id="TieuDe" required>
                                <div class="invalid-feedback">Vui lòng nhập tiêu đề</div>
                            </div>
                            <div class="col-md-12 mb-3">
                                <label for="validationDefault01">Nội dung</label>
                                <textarea class="form-control NoiDung" name="NoiDung" id="NoiDung" required></textarea>
                                <div class="invalid-feedback">Vui lòng nhập nội dung</div>
                            </div>
                            @*<div class="col-md-12 mb-3">
                                <label for="validationDefault01">Ghi chú</label>
                                <input type="text" class="form-control GhiChu" name="GhiChu" id="GhiChu">
                            </div>*@
                            <div class="col-md-12 mb-3">
                                <label for="validationDefault01">Quyền</label>
                                <select class="form-control MaQuyenVanBan" name="MaQuyenVanBan" id="MaQuyenVanBan" required>
                                    @{
                                        foreach (VanBan_Quyen row in Quyen)
                                        {
                                            <option value="@row.MaQuyenVanBan">@row.TenQuyenVanBan</option>
                                        }
                                    }
                                </select>
                            </div>
                        </div>

                        <div class="form-group mt-4 text-right">
                            <button class="btn btn-primary mr-3 d-none btn_reset" type="reset">Reset Form</button>
                            <button class="btn btn-primary mr-3">Lưu</button>
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Đóng</button>
                        </div>
                    </form>
                </div>
            </div>

        </div>
    </div>
</div>